<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: PhotonDetectorConstructor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PhotonDetectorConstructor Class Reference</h1><!-- doxytag: class="PhotonDetectorConstructor" -->
<p>a class making it easier and more flexible to create <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a> objects. <b> Additionally, it automatically deals with the registration of the needed physics! </b>  
</p>

<p><a href="classPhotonDetectorConstructor-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#a49f8b5f26c6f08e487ea248aec326ad3">PhotonDetectorConstructor</a> (G4VModularPhysicsList *userPhysicsList, <a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *propertyTools, <a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *dataStorage, G4bool searchOverlaps, int verbose=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#a0931e16066e38a0877cb0e0517086d37">~PhotonDetectorConstructor</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#acaa08426f2012e0c8b3b1ab3ac269628">ConstructPhotonDetector</a> (G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference, G4VPhysicalVolume *reference_volume)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#a6e0c7d8f42b7cf80055b74d455bb9ff7">ConstructPhotonDetector</a> (G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#af9c48d88c559bcf4c59254ba4d16cb41">ConstructPhotonDetector</a> (G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#a5231ee5aa1945c73a7fdadf4a43af34b">ConstructPhotonDetector</a> (G4double edge_length, G4VPhysicalVolume *mother_volume)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">vector&lt; <a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#a94fbcaf554785185213fb012aa834430">ConstructPhotonDetectors</a> (G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference, G4VPhysicalVolume *reference_volume)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">vector&lt; <a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#adf5e5b86c30f23777ec19fb2407e8f9f">ConstructPhotonDetectors</a> (G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">vector&lt; <a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#a703301cfe82616a2097ab9a2924ddead">ConstructPhotonDetectors</a> (G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String photon_detector_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">vector&lt; <a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#a2134c8082c51aa1bfde99cca4a6f9959">ConstructPhotonDetectors</a> (G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#a81768f316837288f5790047cbbed5a2d">SetPhotonDetectorName</a> (G4String photon_detector_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#a95e3cbc2ac897e25fbe1d4b37002216d">SetPhotonDetectorReferenceVolume</a> (G4VPhysicalVolume *reference_volume)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#a2da07c4e592fae6e36ba85abc3471add">SetSensitiveSurfaceNormalRelativeToReferenceVolume</a> (G4ThreeVector sensitive_surface_normal_relative_to_reference)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#a1d70f974e3a925d5382bdf4c99a7d852">SetSensitiveSurfacePositionRelativeToReferenceVolume</a> (G4ThreeVector sensitive_surface_position_relative_to_reference)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#aa03616d5c2380bf994625f05cab2620e">WriteEventIDToHitFile</a> (G4int eventID)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#ad765305b1c539dab010b9b08b5f36462">WriteRunIDToHitFile</a> (G4int runID)</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#afbefb3ee2dacb28cd5ed851cf8280337">applyVolumeCounter</a> (G4String &amp;physical_volume_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorConstructor.html#add4d0cb386e841a781a1787c613c50ab">SetDefaults</a> ()</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a49f8b5f26c6f08e487ea248aec326ad3"></a><!-- doxytag: member="PhotonDetectorConstructor::PhotonDetectorConstructor" ref="a49f8b5f26c6f08e487ea248aec326ad3" args="(G4VModularPhysicsList *userPhysicsList, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage, G4bool searchOverlaps, int verbose=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PhotonDetectorConstructor::PhotonDetectorConstructor </td>
          <td>(</td>
          <td class="paramtype">G4VModularPhysicsList *&nbsp;</td>
          <td class="paramname"> <em>userPhysicsList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *&nbsp;</td>
          <td class="paramname"> <em>propertyTools</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *&nbsp;</td>
          <td class="paramname"> <em>dataStorage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>searchOverlaps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>verbose</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values</li>
<li>adds the needed physics processes (specified in <a class="el" href="classPhotonDetectorPhysicsList.html" title="a class for the automatic registration of the physics needed for the G4PhotonDetectors...">PhotonDetectorPhysicsList</a>) to the physics list </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>userPhysicsList</em>&nbsp;</td><td>physics list which is used for the simulation </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>propertyTools</em>&nbsp;</td><td>pointer to the <a class="el" href="classPropertyToolsManager.html" title="a class making the processing of the properties etc. much easier.">PropertyToolsManager</a> that should be used </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dataStorage</em>&nbsp;</td><td>pointer to the <a class="el" href="classGODDeSS__DataStorage.html" title="a class to save the data which was taken by the sensitive detectors">GODDeSS_DataStorage</a> that should be used </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>searchOverlaps</em>&nbsp;</td><td>Geant should search for overlaps when placing the physical volumes of <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>verbose</em>&nbsp;</td><td>verbosity level for adding the needed physics processes (specified in <a class="el" href="classPhotonDetectorPhysicsList.html" title="a class for the automatic registration of the physics needed for the G4PhotonDetectors...">PhotonDetectorPhysicsList</a>) to the physics list (default: 0) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0931e16066e38a0877cb0e0517086d37"></a><!-- doxytag: member="PhotonDetectorConstructor::~PhotonDetectorConstructor" ref="a0931e16066e38a0877cb0e0517086d37" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PhotonDetectorConstructor::~PhotonDetectorConstructor </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="afbefb3ee2dacb28cd5ed851cf8280337"></a><!-- doxytag: member="PhotonDetectorConstructor::applyVolumeCounter" ref="afbefb3ee2dacb28cd5ed851cf8280337" args="(G4String &amp;physical_volume_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorConstructor::applyVolumeCounter </td>
          <td>(</td>
          <td class="paramtype">G4String &amp;&nbsp;</td>
          <td class="paramname"> <em>physical_volume_name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function for avoiding multiple volumes with the same name:</p>
<ul>
<li>a string variable containing the name prefix has to be passed to this function</li>
<li>the name prefix will be extended to distinguish between different <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>s and different volumes of one <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a></li>
<li>the extended name prefix will be passed to the original string variable </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>physical_volume_name</em>&nbsp;</td><td>name which should be used for naming the volumes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="acaa08426f2012e0c8b3b1ab3ac269628"></a><!-- doxytag: member="PhotonDetectorConstructor::ConstructPhotonDetector" ref="acaa08426f2012e0c8b3b1ab3ac269628" args="(G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference, G4VPhysicalVolume *reference_volume)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> * PhotonDetectorConstructor::ConstructPhotonDetector </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>edge_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>photon_detector_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_normal_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_position_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>reference_volume</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct a photon detector:</p>
<ul>
<li>runs <a class="el" href="classPhotonDetectorConstructor.html#afbefb3ee2dacb28cd5ed851cf8280337">applyVolumeCounter()</a> on <em>photon_detector_name</em> </li>
<li>creates a new <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a> object</li>
<li>resets the class variables to default values (using <a class="el" href="classPhotonDetectorConstructor.html#add4d0cb386e841a781a1787c613c50ab">SetDefaults()</a>)</li>
</ul>
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the created <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a> object </dd></dl>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>edge_length</em>&nbsp;</td><td>edge length of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mother_volume</em>&nbsp;</td><td><a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s mother volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>photon_detector_name</em>&nbsp;</td><td>name of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s volume (it will be extended to distinguish between different <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>s and different volumes of one <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>sensitive_surface_normal_relative_to_reference</em>&nbsp;</td><td>surface normal of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area (relative to the reference volume) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>sensitive_surface_position_relative_to_reference</em>&nbsp;</td><td>position of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area (relative to the reference volume) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>reference_volume</em>&nbsp;</td><td>reference volume relative to which the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a> will be orientated (if 0, the mother volume is the reference volume) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6e0c7d8f42b7cf80055b74d455bb9ff7"></a><!-- doxytag: member="PhotonDetectorConstructor::ConstructPhotonDetector" ref="a6e0c7d8f42b7cf80055b74d455bb9ff7" args="(G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a>* PhotonDetectorConstructor::ConstructPhotonDetector </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>edge_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>photon_detector_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_normal_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_position_relative_to_reference</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classPhotonDetectorConstructor.html#add4d0cb386e841a781a1787c613c50ab">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="af9c48d88c559bcf4c59254ba4d16cb41"></a><!-- doxytag: member="PhotonDetectorConstructor::ConstructPhotonDetector" ref="af9c48d88c559bcf4c59254ba4d16cb41" args="(G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a>* PhotonDetectorConstructor::ConstructPhotonDetector </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>edge_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>photon_detector_name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classPhotonDetectorConstructor.html#add4d0cb386e841a781a1787c613c50ab">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="a5231ee5aa1945c73a7fdadf4a43af34b"></a><!-- doxytag: member="PhotonDetectorConstructor::ConstructPhotonDetector" ref="a5231ee5aa1945c73a7fdadf4a43af34b" args="(G4double edge_length, G4VPhysicalVolume *mother_volume)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a>* PhotonDetectorConstructor::ConstructPhotonDetector </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>edge_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classPhotonDetectorConstructor.html#add4d0cb386e841a781a1787c613c50ab">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="a94fbcaf554785185213fb012aa834430"></a><!-- doxytag: member="PhotonDetectorConstructor::ConstructPhotonDetectors" ref="a94fbcaf554785185213fb012aa834430" args="(G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference, G4VPhysicalVolume *reference_volume)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">vector&lt; <a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> * &gt; PhotonDetectorConstructor::ConstructPhotonDetectors </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>edge_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>number_of_replications</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>replication_transf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>photon_detector_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_normal_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_position_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>reference_volume</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct construct replications of a photon detector:</p>
<ul>
<li>runs <a class="el" href="classPhotonDetectorConstructor.html#afbefb3ee2dacb28cd5ed851cf8280337">applyVolumeCounter()</a> on <em>photon_detector_name</em> </li>
<li>creates a new <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a> objects</li>
<li>resets the class variables to default values (using <a class="el" href="classPhotonDetectorConstructor.html#add4d0cb386e841a781a1787c613c50ab">SetDefaults()</a>)</li>
</ul>
<dl class="return"><dt><b>Returns:</b></dt><dd>vector with pointers to the created <a class="el" href="classG4Fibre.html" title="a class generating the materials, volumes, and optical properties needed for a fibre...">G4Fibre</a> objects </dd></dl>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>edge_length</em>&nbsp;</td><td>edge length of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mother_volume</em>&nbsp;</td><td><a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s mother volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>number_of_replications</em>&nbsp;</td><td>number of replications that should be created </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>replication_transf</em>&nbsp;</td><td>transformation of each replication, relative to the previous one </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>photon_detector_name</em>&nbsp;</td><td>name of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s volume (it will be extended to distinguish between different <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>s and different volumes of one <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>sensitive_surface_normal_relative_to_reference</em>&nbsp;</td><td>surface normal of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area (relative to the reference volume) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>sensitive_surface_position_relative_to_reference</em>&nbsp;</td><td>position of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area (relative to the reference volume) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>reference_volume</em>&nbsp;</td><td>reference volume relative to which the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a> will be orientated (if 0, the mother volume is the reference volume) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adf5e5b86c30f23777ec19fb2407e8f9f"></a><!-- doxytag: member="PhotonDetectorConstructor::ConstructPhotonDetectors" ref="adf5e5b86c30f23777ec19fb2407e8f9f" args="(G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">vector&lt;<a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> *&gt; PhotonDetectorConstructor::ConstructPhotonDetectors </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>edge_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>number_of_replications</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>replication_transf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>photon_detector_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_normal_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_position_relative_to_reference</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classPhotonDetectorConstructor.html#add4d0cb386e841a781a1787c613c50ab">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="a703301cfe82616a2097ab9a2924ddead"></a><!-- doxytag: member="PhotonDetectorConstructor::ConstructPhotonDetectors" ref="a703301cfe82616a2097ab9a2924ddead" args="(G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String photon_detector_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">vector&lt;<a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> *&gt; PhotonDetectorConstructor::ConstructPhotonDetectors </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>edge_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>number_of_replications</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>replication_transf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>photon_detector_name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classPhotonDetectorConstructor.html#add4d0cb386e841a781a1787c613c50ab">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="a2134c8082c51aa1bfde99cca4a6f9959"></a><!-- doxytag: member="PhotonDetectorConstructor::ConstructPhotonDetectors" ref="a2134c8082c51aa1bfde99cca4a6f9959" args="(G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">vector&lt;<a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a> *&gt; PhotonDetectorConstructor::ConstructPhotonDetectors </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>edge_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>number_of_replications</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>replication_transf</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classPhotonDetectorConstructor.html#add4d0cb386e841a781a1787c613c50ab">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="add4d0cb386e841a781a1787c613c50ab"></a><!-- doxytag: member="PhotonDetectorConstructor::SetDefaults" ref="add4d0cb386e841a781a1787c613c50ab" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorConstructor::SetDefaults </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the class variables to default values: </p>

<p><ul>
<li>pointer to the reference volume (physical volume relative to which the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a> will be orientated) <div class="fragment"><pre class="fragment"> ReferenceVolume_physical = 0; 
</pre></div></li>
</ul>
<ul>
<li>name of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s volumes (it will be extended to distinguish between different <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>s and different volumes of one <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>) <div class="fragment"><pre class="fragment"> PhotonDetectorName = <span class="stringliteral">&quot;photonDetector&quot;</span>; 
</pre></div></li>
</ul>
<ul>
<li>surface normal of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area (relative to the reference volume) <div class="fragment"><pre class="fragment"> SurfaceNormal_rel = G4ThreeVector(0., 0., 1.); 
</pre></div></li>
</ul>
<ul>
<li>position of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area (relative to the reference volume) <div class="fragment"><pre class="fragment"> SurfacePos_rel = G4ThreeVector(0., 0., 0.); 
</pre></div> </li>
</ul>
</p>

</div>
</div>
<a class="anchor" id="a81768f316837288f5790047cbbed5a2d"></a><!-- doxytag: member="PhotonDetectorConstructor::SetPhotonDetectorName" ref="a81768f316837288f5790047cbbed5a2d" args="(G4String photon_detector_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorConstructor::SetPhotonDetectorName </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>photon_detector_name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the name of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s volumes (it will be extended to distinguish between different <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>s and different volumes of one <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>).</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="a95e3cbc2ac897e25fbe1d4b37002216d"></a><!-- doxytag: member="PhotonDetectorConstructor::SetPhotonDetectorReferenceVolume" ref="a95e3cbc2ac897e25fbe1d4b37002216d" args="(G4VPhysicalVolume *reference_volume)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorConstructor::SetPhotonDetectorReferenceVolume </td>
          <td>(</td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>reference_volume</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the reference volume relative to which the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a> will be orientated.</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="a2da07c4e592fae6e36ba85abc3471add"></a><!-- doxytag: member="PhotonDetectorConstructor::SetSensitiveSurfaceNormalRelativeToReferenceVolume" ref="a2da07c4e592fae6e36ba85abc3471add" args="(G4ThreeVector sensitive_surface_normal_relative_to_reference)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorConstructor::SetSensitiveSurfaceNormalRelativeToReferenceVolume </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_normal_relative_to_reference</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the surface normal of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area (relative to the reference volume).</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="a1d70f974e3a925d5382bdf4c99a7d852"></a><!-- doxytag: member="PhotonDetectorConstructor::SetSensitiveSurfacePositionRelativeToReferenceVolume" ref="a1d70f974e3a925d5382bdf4c99a7d852" args="(G4ThreeVector sensitive_surface_position_relative_to_reference)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorConstructor::SetSensitiveSurfacePositionRelativeToReferenceVolume </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_position_relative_to_reference</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the position of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area (relative to the reference volume).</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="aa03616d5c2380bf994625f05cab2620e"></a><!-- doxytag: member="PhotonDetectorConstructor::WriteEventIDToHitFile" ref="aa03616d5c2380bf994625f05cab2620e" args="(G4int eventID)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorConstructor::WriteEventIDToHitFile </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>eventID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to write the event ID into the text file containing the photons that hit a <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>eventID</em>&nbsp;</td><td>event ID which should be written into the text file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad765305b1c539dab010b9b08b5f36462"></a><!-- doxytag: member="PhotonDetectorConstructor::WriteRunIDToHitFile" ref="ad765305b1c539dab010b9b08b5f36462" args="(G4int runID)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorConstructor::WriteRunIDToHitFile </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>runID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to write the run ID into the text file containing the photons that hit a <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>runID</em>&nbsp;</td><td>run ID which should be written into the text file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
